org.appng.core.templating

## Class ThymeleafTemplateEngine

- java.lang.Object
- - org.thymeleaf.TemplateEngine
  - - org.thymeleaf.spring4.SpringTemplateEngine
    - - org.appng.core.templating.ThymeleafTemplateEngine

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.context.MessageSourceAware, org.thymeleaf.ITemplateEngine, org.thymeleaf.spring4.ISpringTemplateEngine

      public class ThymeleafTemplateEngine
      extends org.thymeleaf.spring4.SpringTemplateEngine

  An custom template engine to set a custom Thymeleaf dialect
  Author:
    Claus Stümke

- - ### Field Summary

    - ### Fields inherited from class org.thymeleaf.TemplateEngine

      `TIMER_LOGGER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThymeleafTemplateEngine()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `withInterceptors(List<ThymeleafReplaceInterceptor> interceptors)`

    - ### Methods inherited from class org.thymeleaf.spring4.SpringTemplateEngine

      `getEnableSpringELCompiler, getRenderHiddenMarkersBeforeCheckboxes, initializeSpecific, initializeSpringSpecific, setEnableSpringELCompiler, setMessageSource, setRenderHiddenMarkersBeforeCheckboxes, setTemplateEngineMessageSource`

    - ### Methods inherited from class org.thymeleaf.TemplateEngine

      `addDialect, addDialect, addLinkBuilder, addMessageResolver, addTemplateResolver, clearDialects, clearTemplateCache, clearTemplateCacheFor, getCacheManager, getConfiguration, getDecoupledTemplateLogicResolver, getDialects, getDialectsByPrefix, getEngineContextFactory, getLinkBuilders, getMessageResolvers, getTemplateResolvers, isInitialized, process, process, process, process, process, process, processThrottled, processThrottled, processThrottled, setAdditionalDialects, setCacheManager, setDecoupledTemplateLogicResolver, setDialect, setDialects, setDialectsByPrefix, setEngineContextFactory, setLinkBuilder, setLinkBuilders, setMessageResolver, setMessageResolvers, setTemplateResolver, setTemplateResolvers, threadIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.thymeleaf.ITemplateEngine

      `getConfiguration, process, process, process, process, process, process, processThrottled, processThrottled, processThrottled`

- - ### Constructor Detail

    - #### ThymeleafTemplateEngine

          public ThymeleafTemplateEngine()

  - ### Method Detail

    - #### withInterceptors

          public void withInterceptors(List<ThymeleafReplaceInterceptor> interceptors)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.